@import "font.css";

html, body {
    height: 100%;
}

body {
    background: #0A0A0A;
    color: #EDEDEC;
}

.doc {
    display: flex;
    justify-content: center;
    align-items: center;

    height: 100%;
}

.doc * {
    margin: 0;
    padding: 0;
}

.doc ul {
    list-style: none;
}

.doc-container {
    display: flex;
    flex-direction: column;

    max-width: 48rem;
    width: 100%;

    padding: 0 0.25rem;
}

.header {
    margin: 0;
    padding: 0 0 0.5rem 0;
}

.header .title,
.header .subtitle {
    text-align: end;
}

.header .title {
    font-size: 1em;
    font-weight: 400;
}

.header .subtitle {
    margin-top: -18px;
    font-size: 6em;
    font-weight: 400;
}

.screen-container {
    position: relative;
    display: flex;
    flex-direction: column;

    aspect-ratio: 4 / 3;
    width: 100%;

    background: #1D1D1D;
    overflow: hidden;

    border-radius: 1rem;
    margin: 1rem 0;
}

.screen {
    padding: 1rem;
}

.screen ul {
    inset: 0;

    display: grid;
    grid-template-columns: repeat(3, 15rem);
    justify-content: center;
}

.screen .right {
    text-align: right;
}

.screen .crt {
    position: absolute;
    inset: 0;
    pointer-events: none;

    background: repeating-linear-gradient(
            to bottom,
            rgba(0 0 0 / 0) 0px,
            rgba(0 0 0 / 0) 1px,
            rgba(0 0 0 / 0.2) 2px,
            rgba(0 0 0 / 0.2) 3px
    );
}

.selectable {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 0.5rem;

    border: #EDEDEC 1px solid;

    margin: 0.5rem 0.5rem;

    cursor: pointer;
}

.selectable .label {
    flex: 1;

    padding: 0.4rem 0.6rem;

    overflow: hidden;
    text-overflow: ellipsis;

    white-space: nowrap;
}

.selectable .icon {
    flex-shrink: 0;
    align-content: center;

    padding: 0.4rem 0.6rem;

    white-space: nowrap;
}

.selectable .icon:hover {
    background: #EDEDEC;
}

#demo-info-thumbnail {
    width: 100%;
    height: 200px;
    object-fit: cover;

    transition: opacity 0.4s ease;
    opacity: 0;
}